rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
sprintfTag_s Struct Reference
HEADER.
Collaboration diagram for sprintfTag_s:
[legend]

## Data Fields
HE_s | he
headerTagFormatFunction * | fmtfuncs
headerTagTagFunction | ext
int | extNum
rpmTag * | tagno
int | justOne
int | arrayCount
char * | format
ARGV_t | av
ARGV_t | params
unsigned | pad

## Detailed Description

Definition at line 4930 of file hdrfmt.c.

## Field Documentation

int sprintfTag_s::arrayCount

Definition at line 4940 of file hdrfmt.c.

Referenced by formatValue(), parseFormat(), and singleSprintf().

ARGV_t sprintfTag_s::av

Definition at line 4944 of file hdrfmt.c.

Referenced by findTag(), formatValue(), freeFormat(), headerSprintf(), parseFormat(), and singleSprintf().

headerTagTagFunction sprintfTag_s::ext

NULL if tag element is invalid

Definition at line 4935 of file hdrfmt.c.

Referenced by findTag(), formatValue(), and singleSprintf().

int sprintfTag_s::extNum

Definition at line 4936 of file hdrfmt.c.

Referenced by findTag(), formatValue(), and singleSprintf().

headerTagFormatFunction* sprintfTag_s::fmtfuncs

Definition at line 4933 of file hdrfmt.c.

Referenced by findTag(), formatValue(), and freeFormat().

char* sprintfTag_s::format

Definition at line 4942 of file hdrfmt.c.

Referenced by formatValue(), and parseFormat().

HE_s sprintfTag_s::he

Definition at line 4931 of file hdrfmt.c.

Referenced by formatValue(), freeFormat(), hsaNext(), and singleSprintf().

int sprintfTag_s::justOne

Definition at line 4939 of file hdrfmt.c.

Referenced by parseFormat(), and singleSprintf().

unsigned sprintfTag_s::pad

Definition at line 4947 of file hdrfmt.c.

Referenced by formatValue(), and parseFormat().

ARGV_t sprintfTag_s::params

Definition at line 4946 of file hdrfmt.c.

Referenced by formatValue(), freeFormat(), and parseFormat().

rpmTag* sprintfTag_s::tagno

Definition at line 4938 of file hdrfmt.c.

Referenced by findTag(), formatValue(), freeFormat(), headerSprintf(), hsaInit(), hsaNext(), and singleSprintf().

The documentation for this struct was generated from the following file:

- rpmdb/hdrfmt.c